/*
-- ------ Navigator ------ --
unionNets.com
2009
*/
function netsNavigator(){}
//-- ------ #Parameters ------ --
netsNavigator.prototype.sName="tmpNavigator";
//获取浏览器的代码名称
netsNavigator.prototype.appCodeName=navigator.appCodeName;
//获取应用程序的次版本值
netsNavigator.prototype.appMinorVersion=navigator.appMinorVersion;
//获取浏览器的名称
netsNavigator.prototype.appName=navigator.appName;
//获取浏览器运行的平台和版本
netsNavigator.prototype.appVersion=navigator.appVersion;
//获取浏览器的当前语言
netsNavigator.prototype.browserLanguage=navigator.browserLanguage;
//获取客户端的永久cookie是否在浏览器中启用。永久cookies是储存在客户端计算机上的
netsNavigator.prototype.cookieEnabled=navigator.cookieEnabled;
//获取指示CPU等级的字符串
netsNavigator.prototype.cpuClass=navigator.cpuClass;
//获取表明系统是否处于全局脱机模式的值
netsNavigator.prototype.onLine=navigator.onLine;
//获取用户的操作系统名称
netsNavigator.prototype.platform=navigator.platform;
//获取操作系统适用的默认语言
netsNavigator.prototype.systemLanguage=navigator.systemLanguage;
//获取等同于HTTP用户代理请求头的字符串
netsNavigator.prototype.userAgent=navigator.userAgent;
//获取操作系统的自然语言设置
netsNavigator.prototype.userLanguage=navigator.userLanguage;
//Navgator type code
netsNavigator.prototype.appCode="";

//-- ------ #Methods ------ --
//Initial
netsNavigator.prototype.initial=function(){
	var tmpSTR="";
	
	if(this.appVersion.indexOf("MSIE 6")>0){
		this.appCode="IE6";
	}else if(this.appVersion.indexOf("MSIE 7")>0){
		this.appCode="IE7";
	}else if(this.appName=="Netscape"){
		this.appCode="FireFox";
	}else if(this.appName=="Opera"){
		this.appCode="Opera";
	}
}

//-- ------ #Instanct ------ --
var tmpNavigator=new netsNavigator();
tmpNavigator.initial();
